- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Get a list of simple data policy information
¶ Get a list of data policy brief information
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.
Get a list of data policy brief information in pages, and use keywords to search for data policy Name or data policy Code to fuzzy find data policy ID, data policy Name and data policy description information.
¶ Method Name
ManagementClient.listSimpleDataPolices
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| page | number | no | 1 | Current page number, starting from 1 | 1 |
| limit | number | no | 10 | The maximum number of pages per page cannot exceed 50, and the default value is 10 | 10 |
| query | string | no | - | Data Strategy Name Keyword Search | examplePolicyName |
¶ Sample Code
package test.management.dataPermission.policy;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ListSimpleDataPoliciesDto;
import cn.authing.sdk.java.dto.ListSimpleDataPoliciesPaginatedRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class ListSimpleDataPolicesTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
ListSimpleDataPoliciesDto reqDto = new ListSimpleDataPoliciesDto();
reqDto.setPage(1);
reqDto.setLimit(10);
reqDto.setQuery("examplePolicyName");
ListSimpleDataPoliciesPaginatedRespDto response = client.listSimpleDataPolices(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: ListSimpleDataPoliciesPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | DataPoliciesSimplePaginatedRespDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"totalCount": 20,
"list": {
"policyId": "60b49xxxxxxxxxxxxxxx6e68",
"policyName": "Sample Data Policy Name",
"description": "Sample Data Policy Description"
}
}
}
¶ Data Structure
¶ DataPoliciesSimplePaginatedRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| totalCount | number | no | Total number of records | 20 |
| list | array | yes | Response data nested type:ListSimpleDataPoliciesRespDto。 |
¶ ListSimpleDataPoliciesRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| policyId | string | yes | Data Policy ID | 60b49xxxxxxxxxxxxxxx6e68 |
| policyName | string | yes | Data policy name, unique to the user pool | Sample data policy name |
| description | string | no | Data policy description | Sample data policy description |
